Bug 1298044 - Deploy NetApp Manila driver in the Overcloud
Summary: Deploy NetApp Manila driver in the Overcloud
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 8.0 (Liberty)
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Marios Andreou
QA Contact: Dustin Schoenbrun
Don Domingo
URL:
Whiteboard:
Depends On:
Blocks: 1229896 1379905
TreeView+ depends on / blocked
 
Reported: 2016-01-13 05:13 UTC by Dave Cain
Modified: 2016-12-14 15:20 UTC (History)
17 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160922100830.75c20d5.1.el7ost
Doc Type: Enhancement
Doc Text:
Feature: The RHEL-OSP 10 platform adds the ability to deploy Manila services in the Overcloud using the Netapp backend. For more details see [DOCS] - comment #19 Reason: There was previously little support for Manila services and in particular backends other than the generic backend driver (of little practical/real-world use). Result: See [DOCS] for info on deploying Manila services with the Netapp driver for the backend.
Clone Of:
: 1379905 (view as bug list)
Environment:
Last Closed: 2016-12-14 15:20:32 UTC
scohen: needinfo+
scohen: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 354014 None None None 2016-08-24 15:23:02 UTC
OpenStack gerrit 354019 None None None 2016-08-11 15:34:02 UTC
OpenStack gerrit 374961 None None None 2016-09-27 13:04:32 UTC
OpenStack gerrit 377179 None None None 2016-09-27 13:05:19 UTC
Red Hat Bugzilla 1229896 None CLOSED [RFE] Deploy Manila in OSP director with HA 2019-04-03 23:16:59 UTC

Internal Links: 1229896

Description Dave Cain 2016-01-13 05:13:59 UTC
1. Description: Deploying Manila using the RHEL-OSP Director is not currently possible.

2. Details:
a.Bugzilla dependencies (if any): n/a
b.Hardware dependencies (if any): n/a
c.Upstream information
  i. Date it will be upstream: January 2016
  ii.Version:
d.External links: https://review.openstack.org/#/c/188137/
e.Severity (U/H/M/L): Urgent
f.Business Priority: Must

3.Business Justification
a.Why is this needed: This is needed to showcase Manila in a resulting RHEL-OSP8 deployment and associated reference architecture.
b.What hardware is required (if any):
c.Business impact: Significant revenue impacts exist and are depending on this getting integrated into RHEL-OSP8 once it is merged upstream.

4.Primary Red Hat contact
a.Name: Mike Orazi
b.Email: morazi@redhat.com
c.Office: ?
d.Mobile: ?

5.Primary Partner contact
a.Name: Dave Cain
b.Email: dcain@netapp.com
c.Office: ?
d.Mobile: ?

Comment 2 Dave Cain 2016-01-13 05:24:15 UTC
Just opening a bug to track inclusion of Manila and NetApp Manila integration into RHEL-OSP8 as instructed in the Private Beta instructions.

I completely understand that upstream needs to merge first, but wanted to open a bug for tracking regardless.

Comment 3 Sean Cohen 2016-01-27 14:28:08 UTC
(In reply to Dave Cain from comment #2)
> Just opening a bug to track inclusion of Manila and NetApp Manila
> integration into RHEL-OSP8 as instructed in the Private Beta instructions.
> 
> I completely understand that upstream needs to merge first, but wanted to
> open a bug for tracking regardless.


We are tracking the manila integration in bug: 1229896
I've modified this bug title to reflect the NetApp support
Sean

Comment 5 Mike Burns 2016-04-07 21:03:37 UTC
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Comment 11 Marios Andreou 2016-08-11 15:34:02 UTC
Update:

Comment 13 Sirius Rayner-Karlsson 2016-09-09 08:08:05 UTC
Hi there,

The reason I am setting exception? is that FFE already has been granted [1] on the openstack-dev mailinglist to Ben Swartzlander's request. So setting the exception? flag here is just to make the BZ match reality. :)

Kind regards,

/Anders


[1] http://lists.openstack.org/pipermail/openstack-dev/2016-August/102372.html

Comment 15 Tom Barron 2016-09-19 20:06:26 UTC
https://review.openstack.org/#/c/354014/ and https://review.openstack.org/#/c/354019/ have merged into master rc1 before stable/newton is cut.

Comment 18 Tom Barron 2016-09-27 13:06:21 UTC
We need 374961 and 377179 for OOO to fully deploy manila in the overcloud.  They have merged upstream.

Comment 23 Dustin Schoenbrun 2016-11-21 22:17:32 UTC
This has been tested with the 2016-11-11.1 puddle and the NetApp Clustered Data ONTAP driver does get installed and configured successfully through Director and the TripleO Heat Templates. Any bugs found with further testing will be opened separately.

Comment 27 errata-xmlrpc 2016-12-14 15:20:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.